<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Delegasi extends CI_Controller {

    function __construct()
	{
		if($this->session->userdata('is_logged_in')==FALSE){
			redirect('login');
		}
		$this->show_data();
	}

	function dashboard($value){
		$perkara=$this->perkara->getPerkaraList('','','','0',$value)->result_object();
		
		if ($perkara[0]->nomor_perkara==""){
			$result=array('ada'=>0);	
		}else{
		$result=array('ada'=>1,
					  'nomor_perkara'=>$perkara[0]->nomor_perkara,
					  'tanggal_pendaftaran'=>$perkara[0]->tanggal_pendaftaran,
					  'jenis_perkara_nama'=>$perkara[0]->jenis_perkara_nama,
					  'pihak_2'=>$perkara[0]->pihak2_text);
		}
		$arr = array("st"=>1,'hasil'=>$result);
		echo $_GET['callback']."(".json_encode($arr).");";
		return;
	}

	function autokomplit($value){
		$perkara=$this->perkara->getPerkaraList('','','','0',$value);
		
		if ($perkara->num_rows > 0 ){
		   $result=array('nomor_perkara'=>$perkara->result());
		}
		$arr = $result;
		echo $_GET['callback']."(".json_encode($arr).");";
		 return;
	}
}
